## synce-sync-engine 0.11.1

=== doc/Makefile ===
all: sync-engine.html

sync-engine.html: $(PWD)/../engine/*.py doc-generator.py
	chmod +x doc-generator.py
	PYTHONPATH=$(PWD)/..:$(PYTHONPATH) ./doc-generator.py engine order >sync-engine.html

## synce-sync-engine 0.15

=== debian/changelog ===
synce-sync-engine (0.15-2) unstable; urgency=low

  * debian/patches/:
    + 0003-constants-include-new-types-for-PocketMirror.patch: Added to
      fix synchronisation when PocketMirror is installed. Thanks to
      Andreas Mück for the patch. (Closes: #551121)

 -- Jonny Lamb <jonny@debian.org>  Thu, 13 May 2010 12:12:21 +0100

synce-sync-engine (0.15-1) unstable; urgency=low

  * New upstream release. (Closes: #566712)
  * debian/watch: Updated URL.
  * debian/control:
    + Upped Standards-Version. (no changes)
  * Changed source format to 3.0 (quilt).

 -- Jonny Lamb <jonny@debian.org>  Thu, 13 May 2010 08:36:31 +0100

synce-sync-engine (0.13-4) unstable; urgency=low

  * Include NMUs from Kumar and Bastien which I forgot about in
    0.13-3. Thanks for your help guys.

 -- Jonny Lamb <jonny@debian.org>  Sun, 29 Nov 2009 14:43:38 +0000

synce-sync-engine (0.13-3) unstable; urgency=low

  * debian/patches/:
    + 0002-o.s.SyncEngine.service-use-the-correct-path-to-the-S.patch:
      Added to fix path to SyncEngine binary so it can be started by
      D-Bus service activation. (Closes: #550393)
  * debian/control: Upped Standards-Version. (no changes)

 -- Jonny Lamb <jonny@debian.org>  Sun, 29 Nov 2009 14:25:47 +0000

synce-sync-engine (0.13-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on python (>= 2.5.4) for python.mk.

 -- Kumar Appaiah <akumar@debian.org>  Mon, 19 Oct 2009 17:26:18 -0500

synce-sync-engine (0.13-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "manipulates site-packages/ directly, failing with Python 2.6"
    Applied and uploaded Kumar's patch, thanks dude! (Closes: #547867)

 -- Bastian Venthur <venthur@debian.org>  Sat, 17 Oct 2009 14:45:09 +0200

synce-sync-engine (0.13-2) unstable; urgency=low

  * debian/control:
    + Changed XS-Python-Version to >= 2.4. (Closes: #522086)
    + Upped Standards-Version to 3.8.1.
  * debian/README.source: Added.
  * debian/rules: Install org.synce.SyncEngine.service into the correct
    directory.
  * debian/synce-sync-engine.install: Install the D-BUS service file.

 -- Jonny Lamb <jonny@debian.org>  Thu, 09 Apr 2009 01:37:06 +0100

synce-sync-engine (0.13-1) unstable; urgency=low

  * New upstream release.
  * debian/gbp.conf: Added git-buildpackage config file.
  * debian/control:
    + Use my debian.org email address.
    + Remove duplicate Section: libs line.
  * debian/update-patches.mk: Added.
  * debian/rules:
    + Include update-patches.mk.
    + Remove random `find` command.
  * debian/patches/: Regenerated using update-patches.mk.
  * debian/synce-sync-engine.install: Updated path to data files.
  * debian/copyright: Updated debian/* copyright.

 -- Jonny Lamb <jonny@debian.org>  Mon, 23 Feb 2009 14:03:05 +0000

synce-sync-engine (0.11.1-2) unstable; urgency=medium

  * debian/control: Changed dependency from odccm to odccm | synce-hal to
    allow synce-hal provide the dccm. (Closes: #489921)

 -- Jonny Lamb <jonnylamb@jonnylamb.com>  Tue, 08 Jul 2008 20:35:38 +0100

synce-sync-engine (0.11.1-1) unstable; urgency=low

  * New upstream release.
    + Fixes bug in config path name. (Closes: #482955)
  * debian/control:
    + Removed python-wbxml from synce-sync-engine's Depends.
    + Removed cdbs Build-Dep.
    + Added Build-Depends-Indep line.
    + Added quilt Build-Depends.
  * debian/rules:
    + Moved from CDBS to straight debhelper.
    + Added calls to quilt patch and unpatch.
  * debian/man/: Added manpages for binaries.
  * debian/synce-sync-engine.install: Added line to install config.xml.
  * debian/patches/config-file-location.diff: Added patch to look for
    config.xml in the correct place.

 -- Jonny Lamb <jonnylamb@jonnylamb.com>  Mon, 26 May 2008 10:35:57 +0100

synce-sync-engine (0.11-1) unstable; urgency=low

  * Initial release. (Closes: #463029)

 -- Jonny Lamb <jonnylamb@jonnylamb.com>  Mon, 28 Jan 2008 23:47:24 +0000

=== debian/control ===
Source: synce-sync-engine
Section: libs
Priority: optional
Maintainer: Jonny Lamb <jonny@debian.org>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: python-setuptools, python-central, python (>= 2.5.4)
XS-Python-Version: >= 2.4
Standards-Version: 3.8.4
Vcs-Git: git://git.jonnylamb.com/git/packaging/synce-sync-engine.git
Vcs-Browser: http://git.jonnylamb.com/?p=packaging/synce-sync-engine.git;a=summary

Package: synce-sync-engine
Section: utils
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, odccm | synce-hal, python-gobject, python-dbus, python-dateutil, python-libxml2, python-tz, python-libxslt1, python-rra, python-rapi2, python-rtfcomp
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Synchronization engine for Windows Mobile devices
 SyncEngine talks the to a Windows Mobile device through the ActiveSync
 protocol. It provides plugins for OpenSync for synchronization. SyncEngine
 talks to the device through the connection manager, odccm.
 .
 This package contains the actual SyncEngine.

Package: opensync-plugin-synce
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, synce-sync-engine, python-opensync, python-dbus, python-gobject, opensync-module-python
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: SynCE plugin for OpenSync
 SyncEngine talks the to a Windows Mobile device through the ActiveSync
 protocol. It provides plugins for OpenSync for synchronization. SyncEngine
 talks to the device through the connection manager, odccm.
 .
 This package contains a SyncEngine plugin for OpenSync. This allows you
 to sync using SyncEngine.

=== debian/rules ===
#!/usr/bin/make -f

include $(CURDIR)/debian/update-patches.mk

PYVER=$(shell python -c 'import sys; print sys.version[:3]')

include /usr/share/python/python.mk

SITEDIR = $(call py_sitename, $(PYVER))

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf dist build build-area
	-find . -name *\.py[co] -exec rm {} \;
	-rm -rf SyncEngine.egg-info
	dh_clean

build: build-stamp

build-stamp:
	dh_testdir
	python setup.py build
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	python setup.py install \
		--root=$(CURDIR)/debian/tmp \
		--single-version-externally-managed \
		$(py_setup_install_args)
	rm $(CURDIR)/debian/tmp/usr/bin/synce-install-plugins.py
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python$(PYVER)/$(SITEDIR)/plugins
	for file in $(CURDIR)/debian/tmp/usr/bin/*; do \
		mv $$file \
		$(CURDIR)/debian/tmp/usr/bin/synce-`basename $$file | sed -e 's/.py$$//' -e 's/_/-/'`; \
	done
	mkdir -p debian/tmp/usr/share/dbus-1/services/
	mv debian/tmp/usr/share/synce-sync-engine/org.synce.SyncEngine.service \
		debian/tmp/usr/share/dbus-1/services/org.synce.SyncEngine.service
	dh_install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_installman 
	dh_pycentral
	dh_compress -X.py
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://sf.net/synce/synce-sync-engine-(.*)\.tar\.gz
